Bug 1439948 - Error "undefined method `name' for nil:NilClass" when clicked on catalog item after deleting the repository.
Summary: Error "undefined method `name' for nil:NilClass" when clicked on catalog ite...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Aziza Karol
URL:
Whiteboard: ansible:repo:ui:error
Depends On: 1439144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 23:03 UTC by Satoe Imaishi
Modified: 2017-05-31 14:49 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439144
Environment:
Last Closed: 2017-05-31 14:49:58 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-06 23:08:27 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ed99e3e2f2838ae60a342c5688ba71e95a661101

commit ed99e3e2f2838ae60a342c5688ba71e95a661101
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Apr 6 10:28:06 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 6 19:03:08 2017 -0400

    Merge pull request #946 from h-kataria/access_record_attributes_if_record_exists
    
    Made changes to code to only access name if record exists.
    (cherry picked from commit c1d9f9fd0cd8afe4e0c001729a62324f9d56b78d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439948

 app/controllers/catalog_controller.rb        | 25 ++++++++++-------
 app/views/catalog/_sandt_tree_show.html.haml | 19 +++++++------
 spec/controllers/catalog_controller_spec.rb  | 42 ++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 19 deletions(-)

Comment 3 Aziza Karol 2017-04-21 04:47:37 UTC
No error when clicked on catalog item after deleting the repository.

Verified: 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 errata-xmlrpc 2017-05-31 14:49:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.